on startMovie
  global mainPath
  set the centerStage to 1
  set the exitLock to 0
  set the stageColor to 255
  set mainPath to pathName()
end

on pressOn
  global lastClickOn
  puppetSound(0)
  set whichSprite to the clickOn
  puppetSprite(whichSprite, 1)
  puppetTransition(0)
  set lastClickOn to whichSprite
  set tempHor to the locH of sprite (whichSprite + 2)
  set the locH of sprite (whichSprite + 2) to the locH of sprite whichSprite
  puppetSound("clickSound")
  updateStage()
  repeat while the stillDown
    if rollOver(whichSprite + 5) then
      next repeat
    end if
    set the locH of sprite (whichSprite + 2) to tempHor
    puppetSound("clickSound")
    updateStage()
    puppetSprite(whichSprite, 0)
    updateStage()
    exit
  end repeat
  set the locH of sprite (whichSprite + 2) to tempHor
  puppetSound("clickSound")
  puppetSprite(whichSprite, 0)
  updateStage()
  updateStage()
  puppetSound(0)
end

on waitFor seconds
  set now to the timer
  repeat while the timer < (now + (seconds * 60))
    if the mouseDown then
      exit
    end if
  end repeat
end

on waitSound thisone
  updateStage()
  if soundBusy(1) = 0 then
    go(the frame + 1)
  else
    go(the frame)
  end if
end

on findAVI
  openXLib("winInfo.dll")
  set XAVI to winInfo(mnew)
  set winDir to XAVI(mWindowsDirectory)
  set sysDir to XAVI(mSystemDirectory)
  set thereturn to 1
  if not askForFile(winDir & "\msvideo.dll") then
    if not askForFile(sysDir & "\msvideo.dll") then
      set thereturn to 0
    end if
  end if
  put thereturn
  XAVI(mdispose)
  closeXLib("winInfo.dll")
  return thereturn
end

on askForFile theDest
  openXLib("fileIO")
  set Jay to FileIO(mnew, "read", theDest)
  if Jay <> -43 then
    set thereturn to 1
  else
    set thereturn to 0
  end if
  if Jay <> -43 then
    Jay(mdispose)
  end if
  closeXLib("fileIO")
  return thereturn
end

on findCastMem theCastNum, theFrame, listMode
  puppetTempo(100)
  set inSequence to 0
  set startFrame to 0
  go(the lastFrame)
  set lastFrame to the frame
  if theFrame = 0 then
    set theFrame to 1
  end if
  repeat while theFrame < (lastFrame + 1)
    go(theFrame)
    repeat with x = 1 to 48
      if the castNum of sprite x = theCastNum then
        if listMode = 0 then
          beep()
          exit
        else
          if listMode = 1 then
            if inSequence = 1 then
              set endFrame to the frame
              exit repeat
            else
              set startFrame to the frame
              set inSequence to 1
              exit repeat
            end if
          end if
        end if
        next repeat
      end if
      if (x = 48) and (inSequence = 1) then
        put "Castmember #" & theCastNum && "in frames" && startFrame && "to" && endFrame
        set inSequence to 0
      end if
    end repeat
    set theFrame to theFrame + 1
  end repeat
  beep()
  beep()
end
